import random
import time
import threading
import queue


def job(L, q):
    q.put(sum(L))


def multithreading(L):
    q = queue.Queue()
    s = int(0)
    for i in range(4):
        t = threading.Thread(target=job, args=(L, q))
        t.start()
        t.join()
        s += q.get()
    print("multithreading,sum:", s)


def normal(L):
    job('normal,sum:', sum(L))


L = []

for _ in range(1000000):
    L.append(random.randint(0, 1000))

t = time.time()
normal(L*4)
print("normal time:", time.time() - t)

t = time.time()
multithreading(L)
print("multithreading time:", time.time() - t)
